Skip to content

Get Yearly Ascendant Horoscope Report

GET
/api/horoscope/yearly-ascendant/{year}/{zodiacSign}

Retrieve yearly horoscope report for a specific ascendant sign and year.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

year*
Type
string
Required
Pattern
"^\\d{4}$"
zodiacSign*
Type
string
Required

Responses

Yearly ascendant horoscope report

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"attributes": {
  
  
  
"reportType": "string",
  
  
  
"zodiacSign": "string",
  
  
  
"period": {
  
  
  
  
"year": "string",
  
  
  
  
"week": "string"
  
  
  
},
  
  
  
"language": "string",
  
  
  
"title": "string",
  
  
  
"body": "string",
  
  
  
"metadata": null
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation